before_script:
  - mkdir dist

build_pt1:
  stage: build
  image: smokserwis/docker-docs-build
  script:
    - python build.py lab4
    - python build.py lab5
    - mv -f dist/* .
  artifacts:
     paths:
       - lab4/*.pdf
       - lab5/*.pdf

build_pt2:
  stage: build
  image: smokserwis/docker-docs-build
  script:
    - python build.py lab1
    - python build.py lab2
    - python build.py lab3
    - cp resources/lab3_program.txt dist/lab3/program.txt
    - mv -f dist/* .
  artifacts:
     paths:
       - lab1/*.pdf
       - lab2/*.pdf
       - lab3/*.pdf
       - lab3/program.txt
